import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';

class KursusIncludeItems extends StatelessWidget {
  const KursusIncludeItems({Key? key, this.svg, required this.text})
      : super(key: key);

  final String? svg;
  final String text;
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(left: getProportionateScreenWidth(16)),
      child: Column(
        children: [
          Row(
            children: [
              SvgPicture.asset(
                svg!,
                width: getProportionateScreenWidth(13),
                height: getProportionateScreenHeight(13),
                color: Theme.of(context).brightness == Brightness.dark
                    ? baruTextutih
                    : fourthColor,
              ),
              SizedBox(width: getProportionateScreenWidth(9)),
              Expanded(
                child: Text(
                  text,
                  style: thirdTextStyle.copyWith(
                    fontSize: getProportionateScreenWidth(12),
                    fontWeight: light,
                  ),
                ),
              ),
            ],
          ),
          SizedBox(height: getProportionateScreenHeight(6)),
        ],
      ),
    );
  }
}
